:root {
  --main-color: rgb(255, 202, 1);
  --secondary-color: rgb(40, 40, 40);
}

* {
  margin: 0;
  padding: 0;
  font-family: Inter, sans-serif, Arial, system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen, Ubuntu, Cantarell, "Open Sans", "Helvetica Neue", sans-serif;
}

section, .flex-center {
  display: flex;
  justify-content: center;
  align-items: center;
}

.hidden {
  display: none;
}

body {
  min-height: 100vh;
  position: relative;
}

header {
  /*general*/
  /*small*/
}
@media screen {
  header {
    transition: all 0.5s;
    background-color: white;
    position: relative;
    height: 5rem;
  }
  header #logo {
    position: absolute;
    top: 0.625rem;
    right: 1.25rem;
    height: 70%;
    z-index: 100;
  }
  header #contact-links {
    position: absolute;
    top: 0rem;
    left: 1.25rem;
    display: flex;
    flex-direction: column;
    margin-top: 0.625rem;
  }
  header #contact-links a {
    text-decoration: none;
    color: rgb(51, 50, 50);
    font-size: 0.875rem;
    font-weight: 500;
    padding-bottom: 0.3125rem;
  }
  header #contact-links a img {
    filter: invert(14%) sepia(25%) saturate(10%) hue-rotate(10deg) brightness(100%) contrast(87%);
    height: 0.875rem;
    margin-right: 0.25rem;
    margin-bottom: -0.15625rem;
  }
  header #contact-links a:hover {
    color: var(--main-color);
  }
  header #contact-links a:hover img {
    filter: invert(67%) sepia(94%) saturate(727%) hue-rotate(0deg) brightness(105%) contrast(103%);
  }
  header #leistungen-link-small {
    display: none;
  }
}
@media screen and (pointer: coarse) {
  header #leistungen-link {
    display: none;
  }
  header #leistungen-link-small {
    display: inline-block;
  }
}
@media screen {
  header .nav-bar a {
    margin: 0 0.125rem;
    display: inline-block;
    text-decoration: none;
    font-size: 1rem;
    font-weight: 400;
    color: rgb(26, 26, 26);
    background-color: white;
    padding: 0.5rem 1.25rem;
    border: 0.0625rem solid rgba(255, 200, 1, 0);
    cursor: pointer;
  }
  header .nav-bar a:hover,
  header .nav-bar .active-hover {
    border: 0.0625rem solid lightgrey;
  }
  header .nav-bar .active-page {
    border: 0.0625rem solid var(--main-color);
  }
  header .drop-down {
    z-index: 300;
    position: absolute;
    display: grid;
    text-align: center;
    grid-template-columns: repeat(1fr);
    background-color: white;
    border: 0.0625rem solid lightgrey;
  }
  header .drop-down a {
    display: inline-block;
    text-decoration: none;
    font-size: 1rem;
    font-weight: 400;
    color: rgb(26, 26, 26);
    background-color: white;
    padding: 0.5rem 1.25rem;
    border: 0.0625rem solid rgba(255, 200, 1, 0);
    cursor: pointer;
  }
  header .drop-down a:hover {
    border: 0.0625rem solid lightgrey;
  }
  header .drop-down .seperator {
    border-bottom: 0.0625rem solid lightgray;
  }
  header .drop-down .active-page {
    border: 0.0625rem solid var(--main-color);
  }
  header #hamburger {
    display: none;
  }
}
@media screen and (max-width: 64rem) {
  header #contact-links {
    margin-top: 0.625rem;
    left: 0.625rem;
    align-items: center;
  }
  header #contact-links a img {
    height: 1.25rem;
  }
  header #contact-links a span {
    display: none;
  }
}
@media screen and (max-width: 48rem) {
  header {
    height: 3.125rem;
  }
  header #contact-links {
    flex-direction: row;
    margin-top: 0.9375rem;
  }
  header #contact-links a {
    margin-right: 0.625rem;
  }
  header .nav-bar {
    top: -13.4375rem;
    z-index: 200;
    display: flex;
    flex-direction: column;
    position: absolute;
    left: 0;
    right: 0;
    text-align: center;
    background-color: white;
    transition: all 0.3s ease-in-out;
  }
  header .nav-bar-active {
    top: 3.125rem;
  }
  header #hamburger {
    z-index: 400;
    display: block;
    cursor: pointer;
  }
  header #hamburger .bar {
    display: block;
    background-color: black;
    border-radius: 0.125rem;
    width: 1.5625rem;
    height: 0.1875rem;
    margin: 0.3125rem auto;
    transition: all 0.3s ease-in-out;
  }
  header .hamburger-active .bar:nth-child(2) {
    opacity: 0;
  }
  header .hamburger-active .bar:nth-child(1) {
    opacity: 1;
    transform: translateY(0.5rem) rotate(45deg);
  }
  header .hamburger-active .bar:nth-child(3) {
    opacity: 1;
    transform: translateY(-0.5rem) rotate(-45deg);
  }
  header .drop-down {
    left: 0.125rem;
    right: 0.125rem;
  }
  header .drop-down a {
    background-color: rgba(216, 216, 216, 0.147);
  }
}

#scroll-to-top {
  position: absolute;
  top: 0;
  right: 0;
  height: 100%;
}
#scroll-to-top::before {
  content: "";
  display: block;
  height: 101vh;
  pointer-events: none;
}
#scroll-to-top a {
  position: sticky;
  z-index: 1000;
  top: 90vh;
  margin-right: 1.875rem;
  cursor: pointer;
  font-size: 1.25rem;
  display: block;
  border-radius: 25%;
  width: 2.5rem;
  height: 2.5rem;
  background-color: var(--main-color);
  box-shadow: 0.0625rem 0.0625rem 0.3125rem 0.125rem rgba(0, 0, 0, 0.5);
}
@media screen and (max-width: 28.125rem) {
  #scroll-to-top a {
    top: 85vh;
  }
}
#scroll-to-top a span {
  background-color: white;
  width: 1.25rem;
  height: 0.15625rem;
  display: block;
  position: absolute;
  top: 48%;
  box-shadow: 0 0 0.3125rem 0.03125rem rgba(0, 0, 0, 0.5);
}
#scroll-to-top a .left-span {
  right: 38%;
  transform: rotate(-55deg);
}
#scroll-to-top a .right-span {
  left: 38%;
  transform: rotate(55deg);
}

footer {
  /*general*/
  /*small*/
}
@media screen {
  footer {
    position: absolute;
    bottom: -2.9375rem;
    left: 0;
    right: 0;
    padding: 0.9375rem 1.25rem;
    background-color: var(--main-color);
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    font-size: 0.875rem;
    color: black;
  }
  footer a {
    margin: 0 1.25rem;
    color: black;
    text-decoration: none;
  }
  footer a:hover {
    text-decoration: underline;
  }
  footer p {
    position: absolute;
    right: 1.25rem;
  }
}
@media screen and (max-width: 52.5rem) {
  footer p {
    position: relative;
    margin: 0 1.25rem;
  }
}

@font-face {
  font-family: FuturaBold;
  src: url(../_assets/fonts/FuturaBold.otf);
}
#info {
  width: 100vw;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  margin: 1.875rem 0;
}
#info article {
  border: 0.125rem solid var(--secondary-color);
  border-radius: 0.625rem;
  width: 80%;
  overflow: hidden;
}
#info article h1 {
  width: calc(100% - 3.75rem);
  font-size: 1.25rem;
  padding: 0.3125rem 1.875rem;
  background-color: var(--main-color);
}
#info article p {
  font-size: 1rem;
  padding: 0.625rem 1.875rem;
  min-height: 3.125rem;
  background-color: white;
}

/*landing block*/
#box1 {
  /*general*/
  /*medium*/
  /*small*/
  /*xtra-small*/
}
@media screen {
  #box1 {
    background-image: url("../_assets/images/background-images/visitenkarte-hintergrund.png");
    background-position: center;
    background-position: bottom;
    background-repeat: no-repeat;
    background-size: cover;
  }
  #box1 #walking-mouse {
    z-index: 100;
    margin-right: -0.1875rem;
    margin-top: -1.25rem;
    padding-bottom: 1.25rem;
    width: 32.5rem;
  }
  #box1 .box1-right {
    padding-top: 1.25rem;
    width: 33.9375rem;
    min-height: 31.6875rem;
    font-size: 0.625rem;
  }
  #box1 .box1-right .box1-shop-name {
    color: var(--secondary-color);
    font-family: "FuturaBold", Arial;
    font-weight: 500;
    font-size: 4.0625rem;
  }
  #box1 .box1-right .box1-slogan {
    font-size: 1.125rem;
    color: rgb(17, 17, 17);
    margin-top: 1.8125rem;
  }
  #box1 .box1-right button {
    margin-top: 1.9375rem;
    padding: 1.125rem 3.75rem;
    background-color: transparent;
    border: 0.0625rem solid black;
    cursor: pointer;
    transition: background-color 0.15s, color 0.15s;
    font-size: 0.875rem;
  }
  #box1 .box1-right button:hover {
    color: white;
    background-color: black;
  }
  #box1 .box1-right .box1-opening-hours {
    margin: 1.875rem 0 1.25rem 0;
  }
  #box1 .box1-right .box1-opening-hours p {
    margin-top: 0.625rem;
    font-size: 0.875rem;
  }
  #box1 .box1-right .box1-opening-hours p a {
    color: black;
    text-decoration: none;
  }
  #box1 .box1-right .box1-opening-hours p a:hover {
    color: black;
    text-decoration: underline;
  }
  #box1 .box1-right .box1-opening-hours .line {
    display: block;
    background-color: var(--secondary-color);
    opacity: 20%;
    border-radius: 0.0625rem;
    width: 17.375rem;
    height: 0.0625rem;
    margin-top: 0.625rem;
  }
}
@media screen and (max-width: 64rem) {
  #box1 #walking-mouse {
    width: 25rem;
    padding-bottom: 1.875rem;
  }
  #box1 .box1-right {
    width: 26.25rem;
  }
  #box1 .box1-right .box1-shop-name {
    display: block;
    font-size: 3.75rem;
  }
  #box1 .box1-right .box1-slogan {
    color: rgb(17, 17, 17);
  }
}
@media screen and (max-width: 48rem) {
  #box1 {
    flex-wrap: wrap-reverse;
    background-image: url("../_assets/images/background-images/visitenkarte-hintergrund-90deg.png");
  }
  #box1 #walking-mouse {
    margin-left: -3.125rem;
    margin-top: 0.625rem;
  }
  #box1 .box1-right {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
  }
}
@media screen and (max-width: 30rem) {
  #box1 #walking-mouse {
    width: 20rem;
  }
  #box1 .box1-right {
    font-size: 0.5625rem;
  }
}

/*what we offer block*/
#box2 {
  /*general*/
  /*xtra-small*/
}
@media screen {
  #box2 {
    flex-direction: column;
    background-color: var(--secondary-color);
  }
  #box2 a {
    text-decoration: none;
    color: inherit;
  }
  #box2 a:hover {
    text-decoration: underline;
    color: white;
  }
  #box2 h1 {
    padding: 2.5rem 1.25rem;
    display: block;
    text-align: center;
    color: white;
    font-size: 3.125rem;
  }
  #box2 .box2-box-container {
    flex-wrap: wrap;
    display: flex;
    align-items: normal;
  }
  #box2 .box2-box-container a:hover {
    color: inherit;
  }
  #box2 .box2-box-container .box2-connect-last2 {
    display: flex;
    justify-content: center;
    align-items: center;
  }
  #box2 .box2-box-container .box2-inner-boxes {
    height: 26.875rem;
    margin: 0 0.625rem;
    margin-bottom: 4.375rem;
    padding: 1.25rem;
    padding-bottom: 1.875rem;
    display: flex;
    flex-direction: column;
    text-align: center;
    background: white;
    border: 0.625rem solid white;
    border-radius: 2.5rem;
    width: 9.375rem;
  }
  #box2 .box2-box-container .box2-inner-boxes img {
    width: 8.125rem;
    height: 8.125rem;
    -o-object-fit: cover;
       object-fit: cover;
    border: 0.53125rem solid var(--main-color);
    border-radius: 6.25rem;
  }
  #box2 .box2-box-container div h2 {
    margin: 0.9375rem 0 1rem 0;
    font-size: 0.875rem;
    font-weight: 700;
  }
  #box2 .box2-box-container p {
    font-style: italic;
    font-size: 0.8125rem;
  }
}
@media screen and (max-width: 30rem) {
  #box2 .box2-box-container .box2-connect-last2 {
    flex-wrap: wrap;
  }
}

/*our team block*/
#box3 {
  /*general*/
  /*medium*/
}
@media screen {
  #box3 {
    background-image: url("../_assets/images/background-images/yellow-white-half.png");
    background-position: bottom;
    background-position: left;
    background-repeat: no-repeat;
    background-size: cover;
    flex-direction: column;
    color: var(--secondary-color);
    padding: 0 0.9375rem;
    padding-bottom: 0.625rem;
  }
  #box3 a {
    text-decoration: none;
    color: inherit;
  }
  #box3 a:hover {
    text-decoration: underline;
  }
  #box3 h1 {
    font-size: 3.125rem;
    padding-top: 2.5rem;
    text-align: center;
  }
  #box3 h2 {
    font-size: 1.5625rem;
    font-weight: 500;
    text-align: center;
  }
  #box3 .box3-container {
    padding: 2.5rem 0;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    gap: 2.8125rem;
  }
  #box3 .box3-container div {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }
  #box3 .box3-container div img {
    width: 15.625rem;
    height: 15.625rem;
    -o-object-fit: cover;
       object-fit: cover;
    border-radius: 9.375rem;
    border: 0.625rem solid var(--secondary-color);
  }
  #box3 .box3-container div h3 {
    font-size: 1.25rem;
    margin-top: 1.125rem;
  }
  #box3 .box3-container div h4 {
    font-size: 1.125rem;
    font-weight: 500;
    margin-bottom: 1.125rem;
  }
}
@media screen and (max-width: 58rem) {
  #box3 {
    background-image: url("../_assets/images/background-images/yellow-white-half-vertical.png");
    background-position: center;
  }
}

#box4 {
  /*general*/
  /*xtra-small*/
}
@media screen {
  #box4 {
    background-color: var(--secondary-color);
    font-size: 0.625rem;
    flex-direction: column;
    padding-bottom: 7.5rem;
  }
  #box4 a {
    text-decoration: none;
  }
  #box4 a:hover {
    text-decoration: underline;
    text-decoration-color: white;
  }
  #box4 h1 {
    font-size: 3.125rem;
    color: white;
    margin: 2.5rem 0;
  }
  #box4 #scroll-container {
    width: 80%;
    height: 6.25rem;
    padding: 2.5rem 0;
    border-style: solid;
    border-color: white;
    border-radius: 0.9375rem;
    overflow: hidden;
    background-color: white;
    position: relative;
  }
  #box4 #scroll-container .scroll-logos {
    position: absolute;
    height: 7.1875rem;
    display: flex;
    left: 100%;
    top: 2.5rem;
    overflow: hidden;
    white-space: nowrap;
    align-items: center;
    animation: scroll-logos 25s infinite linear;
  }
  #box4 #scroll-container .scroll-logos img {
    height: 6.25rem;
    padding: 0 3.125rem;
    transition: transform 0.2s;
  }
  #box4 #scroll-container .scroll-logos img:hover {
    transform: scale(1.1);
  }
  #box4 #scroll-container .scroll-logos2 {
    animation-delay: 12.5s;
  }
  @keyframes scroll-logos {
    to {
      transform: translateX(-200%);
    }
  }
}
@media screen and (max-width: 30rem) {
  #box4 #scroll-container {
    width: 80%;
    padding: 1.25rem;
    border-style: solid;
    border-color: white;
    border-radius: 0.625rem;
    overflow: hidden;
    background-color: white;
  }
  #box4 #scroll-container .scroll-logos {
    top: 1.25rem;
  }
  #box4 #scroll-container .scroll-logos img {
    height: 3.75rem;
  }
  #box4 #scroll-container .scroll-logos img:hover {
    transform: scale(1.15);
  }
}

#box5 {
  /*general*/
}
@media screen {
  #box5 {
    background-color: var(--secondary-color);
    font-size: 0.625rem;
    flex-direction: column;
    padding-bottom: 1.25rem;
    color: white;
  }
  #box5 h1 {
    font-size: 3.125rem;
    margin: 2.5rem;
  }
  #box5 #reviews {
    display: flex;
    justify-content: center;
  }
  #box5 #reviews div {
    flex: 1;
    margin: 0 0.625rem;
    text-align: center;
  }
  #box5 #reviews div a {
    text-decoration: none;
  }
  #box5 #reviews div a h2 {
    color: white;
    margin-bottom: 0.3125rem;
    font-size: 1.5625rem;
  }
  #box5 #reviews div a h3 {
    color: white;
    margin-bottom: 1.25rem;
    font-size: 1.25rem;
  }
  #box5 #reviews div a div {
    font-size: 0.875rem;
    text-align: left;
    color: black;
    background-color: white;
    border-radius: 0.625rem;
    padding: 0.625rem;
    margin-bottom: 0.625rem;
  }
  #box5 #reviews div a:hover {
    color: black;
    text-decoration: underline;
  }
  #box5 #reviews div .review-link:hover {
    color: white;
  }
}
@media screen and (max-width: 34.375rem) {
  #box5 #reviews {
    flex-direction: column;
  }
}